#pragma once
#include <map>
struct M_StarLotteryBaseCFGData
{
	//Key
	std::string mKey;
	//ÊýÖµ
	int mValue;
};

class M_StarLotteryBaseCFG
{
public:
private:
	static std::auto_ptr<M_StarLotteryBaseCFG> msSingleton;
public:
	int GetCount();
	const M_StarLotteryBaseCFGData* GetData(std::string Key);
	const std::map<std::string, M_StarLotteryBaseCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_StarLotteryBaseCFG* GetSingleton();
	static void Release();
private:
	std::map<std::string, M_StarLotteryBaseCFGData> mMapData;
};
